## getmail6 6.7

=== Makefile ===
.PHONY: doc test check push dist up

doc:
	links -dump docs/documentation.html > docs/documentation.txt
	links -dump docs/configuration.html > docs/configuration.txt
	links -dump docs/faq.html > docs/faq.txt
	links -dump docs/troubleshooting.html > docs/troubleshooting.txt

test:
	# this is a private system test
	sudo freshclam
	pip install --user .
	bash ~/mine/mailwizard/test/test_getmail.sh

check:
	/usr/bin/man -l docs/getmail.1
	restview --long-description --strict

push: doc
	git checkout develop
	git merge master
	git checkout master
	git push --all

dist: doc
	sudo python setup.py bdist_wheel

up:
	twine upload dist/`ls dist -rt | tail -1`

=== debian/changelog ===
getmail6 (6.7-3) unstable; urgency=medium

  * Add conflict with getmail. (Closes: #972610)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 24 Oct 2020 19:46:23 +0100

getmail6 (6.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

  [ Sudip Mukherjee ]
  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 22 Oct 2020 11:02:28 +0100

getmail6 (6.7-1) unstable; urgency=medium

  * Initial release (Closes: #969021)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 02 Sep 2020 21:17:07 +0100

=== debian/control ===
Source: getmail6
Section: mail
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
Standards-Version: 4.5.0
Homepage: https://getmail6.org/
Vcs-Browser: https://salsa.debian.org/python-team/packages/getmail6
Vcs-Git: https://salsa.debian.org/python-team/packages/getmail6.git
Testsuite: autopkgtest-pkg-python

Package: getmail6
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Conflicts: getmail
Description: mail retriever with support for POP3, IMAP4 and SDPS
 getmail6 is intended as a simple replacement for fetchmail.
 It retrieves mail (either all messages, or only unread messages)
 from one or more POP3/IMAP4/SDPS servers for one or more email
 accounts, and reliably delivers into a qmail-style Maildir, mbox
 file or to a command (pipe delivery) like maildrop or procmail,
 specified on a per-account basis. getmail6 also has support for
 domain (multidrop) mailboxes.
 .
 Supported protocols:
 POP3, POP3-over-SSL, IMAP4, IMAP4-over-SSL, and SDPS mail.
 .
 getmail6 is based on getmail with adaptations for Python3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=getmail6

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	mv debian/getmail6/usr/share/doc/getmail-* \
		debian/getmail6/usr/share/doc/getmail6
	rm debian/getmail6/usr/share/doc/getmail6/CHANGELOG
	rm debian/getmail6/usr/share/doc/getmail6/COPYING

execute_after_dh_installdocs:
	# Fix file name to be getmailrc-examples.gz (Bug#463897 on original getmail)
	if [ -s debian/getmail6/usr/share/doc/getmail6/configuration.txt ]; then \
	sed -i -e 's/getmailrc-examples/getmailrc-examples.gz/' debian/getmail6/usr/share/doc/getmail6/configuration.txt ;\
	sed -i -e 's/getmailrc-examples/getmailrc-examples.gz/g' debian/getmail6/usr/share/doc/getmail6/configuration.html ; \
	fi

## getmail6 6.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-.PHONY: doc test check push dist up
+.PHONY: doc test check push dist up tag
+
+# docs/COPYING 2a + DRY: https://github.com/getmail6/getmail6
+# Please refer to the git history regarding who changed what and when in this file.
 
 doc:
 	links -dump docs/documentation.html > docs/documentation.txt
@@ -16,16 +19,15 @@
 	/usr/bin/man -l docs/getmail.1
 	restview --long-description --strict
 
-push: doc
-	git checkout develop
-	git merge master
-	git checkout master
-	git push --all
-
 dist: doc
 	sudo python setup.py bdist_wheel
 
 up:
 	twine upload dist/`ls dist -rt | tail -1`
 
+tag:
+	TAGMSG="v$(./getmail --version | cut -d ' ' -f 2)"
+	git tag $TAGMSG $TAGMSG -f -s -m"$TAGMSG"
+	git verify-tag $TAGMSG
+	git push origin $TAGMSG --follow-tags

=== debian/changelog ===
getmail6 (6.9-1) unstable; urgency=medium

  * New upstream version 6.9 (Closes: #972681)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Nov 2020 21:33:59 +0000

## getmail6 6.11

=== debian/changelog ===
getmail6 (6.11-1) unstable; urgency=medium

  * New upstream version 6.11
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 12 Dec 2020 19:04:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://getmail6.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/getmail6
 Vcs-Git: https://salsa.debian.org/python-team/packages/getmail6.git

## getmail6 6.14

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,9 @@
 	twine upload dist/`ls dist -rt | tail -1`
 
 tag:
-	TAGMSG="v$(./getmail --version | cut -d ' ' -f 2)"
-	git tag $TAGMSG $TAGMSG -f -s -m"$TAGMSG"
-	git verify-tag $TAGMSG
-	git push origin $TAGMSG --follow-tags
+	$(eval TAGMSG="v$(shell ./getmail --version | cut -d ' ' -f 2)")
+	echo $(TAGMSG)
+	git tag -s $(TAGMSG) -m"$(TAGMSG)"
+	git verify-tag $(TAGMSG)
+	git push origin $(TAGMSG) --follow-tags

=== debian/changelog ===
getmail6 (6.14-1) unstable; urgency=medium

  * New upstream version 6.14
    - Fixes timeout on external filter program. (Closes: #980056)
    - Add upstream commit for upstream changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 15 Jan 2021 23:36:48 +0000

getmail6 (6.13-1) unstable; urgency=medium

  * New upstream version 6.13

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 Jan 2021 18:06:45 +0000

getmail6 (6.11-2) unstable; urgency=medium

  * Add dummy transition getmail package. (Closes: #979060)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 03 Jan 2021 19:17:46 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
 Package: getmail6
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Conflicts: getmail
+Breaks: getmail (<< 6.7-1)
+Replaces: getmail (<< 6.7-1)
 Description: mail retriever with support for POP3, IMAP4 and SDPS
  getmail6 is intended as a simple replacement for fetchmail.
  It retrieves mail (either all messages, or only unread messages)
@@ -27,3 +28,10 @@
  POP3, POP3-over-SSL, IMAP4, IMAP4-over-SSL, and SDPS mail.
  .
  getmail6 is based on getmail with adaptations for Python3.
+
+Package: getmail
+Architecture: all
+Section: oldlibs
+Depends: ${misc:Depends}, getmail6
+Description: transitional package
+ This is a transitional package. It can safely be removed.

## getmail6 6.18.4

=== Makefile ===
# docs/COPYING 2a + DRY: https://github.com/getmail6/getmail6
# Please refer to the git history regarding who changed what and when in this file.

.PHONY: doc
doc:
	links -dump docs/documentation.html > docs/documentation.txt
	links -dump docs/configuration.html > docs/configuration.txt
	links -dump docs/faq.html > docs/faq.txt
	links -dump docs/troubleshooting.html > docs/troubleshooting.txt

.PHONY: cleantest
cleantest:
	rm -rf /tmp/mailserver/python?

.PHONY: test2
test2:
	cd test && ./prepare_test.sh 2
	cd /tmp/mailserver && test/bats/bin/bats test/test_getmail_with_docker_mailserver.bats

.PHONY: test3
test3:
	cd test && ./prepare_test.sh 3
	cd /tmp/mailserver && test/bats/bin/bats test/test_getmail_with_docker_mailserver.bats

.PHONY: test
test: cleantest test3 test2

.PHONY: check
check:
	/usr/bin/man -l docs/getmail.1
	restview --long-description --strict

.PHONY: dist
dist: doc
	echo "need sudo to create wheel"
	sudo python setup.py bdist_wheel

.PHONY: up
up:
	twine upload dist/`ls dist -rt | tail -1`

.PHONY: tag
tag:
	$(eval TAGMSG="v$(shell ./getmail --version | cut -d ' ' -f 2)")
	echo $(TAGMSG)
	git tag -s $(TAGMSG) -m"$(TAGMSG)"
	git verify-tag $(TAGMSG)
	git push origin $(TAGMSG) --follow-tags

=== debian/changelog ===
getmail6 (6.18.4-2ubuntu1) jammy; urgency=medium

  * Backport upstream patch to fix getmail_fetch crash. (LP: #2008594)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 05 Nov 2023 12:46:07 +0000

getmail6 (6.18.4-2) unstable; urgency=medium

  * Remove transitional package. (Closes: #996569)
    - Also add news about getmail6.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 21 Nov 2021 22:12:39 +0000

getmail6 (6.18.4-1) unstable; urgency=medium

  * New upstream version 6.18.4
  * Update Standards-Version to 4.6.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 18 Oct 2021 11:05:32 +0100

getmail6 (6.18.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 6.18.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 21 Aug 2021 21:13:05 +0100

getmail6 (6.16-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
      Repository-Browse.

  [ Sudip Mukherjee ]
  * New upstream version 6.16 (Closes: #989100)
    - Remove upstream applied patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 May 2021 21:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: getmail6
 Section: mail
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://getmail6.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/getmail6
 Vcs-Git: https://salsa.debian.org/python-team/packages/getmail6.git
@@ -28,10 +29,3 @@
  POP3, POP3-over-SSL, IMAP4, IMAP4-over-SSL, and SDPS mail.
  .
  getmail6 is based on getmail with adaptations for Python3.
-
-Package: getmail
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, getmail6
-Description: transitional package
- This is a transitional package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-execute_after_dh_auto_install:
+override_dh_auto_install:
+	dh_auto_install --destdir debian/getmail6
 	mv debian/getmail6/usr/share/doc/getmail-* \
 		debian/getmail6/usr/share/doc/getmail6
 	rm debian/getmail6/usr/share/doc/getmail6/CHANGELOG

## getmail6 6.18.9

=== debian/changelog ===
getmail6 (6.18.9-1) unstable; urgency=medium

  * New upstream version 6.18.9

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 May 2022 21:19:35 +0100

## getmail6 6.18.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 # docs/COPYING 2a + DRY: https://github.com/getmail6/getmail6
 # Please refer to the git history regarding who changed what and when in this file.
+
+# Needs Docker Daemon running
+# systemctl start docker
 
 .PHONY: doc
 doc:
@@ -22,25 +25,37 @@
 	cd test && ./prepare_test.sh 3
 	cd /tmp/mailserver && test/bats/bin/bats test/test_getmail_with_docker_mailserver.bats
 
+.PHONY: testpython
+testpython:
+	pytest test/test.py
+
 .PHONY: test
-test: cleantest test3 test2
+test: testpython cleantest test3 test2
+	cd /tmp/mailserver && docker-compose down
 
 .PHONY: check
 check:
 	/usr/bin/man -l docs/getmail.1
+	/usr/bin/man -l docs/getmails.1
+	/usr/bin/man -l docs/getmail_fetch.1
+	/usr/bin/man -l docs/getmail_maildir.1
+	/usr/bin/man -l docs/getmail_mbox.1
 	restview --long-description --strict
 
 .PHONY: dist
 dist: doc
 	echo "need sudo to create wheel"
 	sudo python setup.py bdist_wheel
+	echo "note:"
+	echo "use ./pypi.sh to upload to PYPI"
 
+# use ./pypi.sh to upload to PYPI
 .PHONY: up
-up:
+up: dist
 	twine upload dist/`ls dist -rt | tail -1`
 
 .PHONY: tag
-tag:
+tag: dist
 	$(eval TAGMSG="v$(shell ./getmail --version | cut -d ' ' -f 2)")
 	echo $(TAGMSG)
 	git tag -s $(TAGMSG) -m"$(TAGMSG)"

=== debian/changelog ===
getmail6 (6.18.11-2) unstable; urgency=medium

  * Add upstream patch to fix shellquote. (Closes: #1028150)
  * Add superfical autopkgtests to test all binaries.
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Jan 2023 20:26:39 +0000

getmail6 (6.18.11-1) unstable; urgency=medium

  * New upstream version 6.18.11
    - Update copyright.
  * Update Standards-Version to 4.6.1.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Jan 2023 22:52:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: getmail6
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://getmail6.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/getmail6
 Vcs-Git: https://salsa.debian.org/python-team/packages/getmail6.git

=== debian/tests/control ===
Test-Command: getmails --help
Depends: @, procps
Restrictions: superficial

Test-Command: getmail --help
Depends: @, procps
Restrictions: superficial

Test-Command: getmail_fetch --help
Depends: @, procps
Restrictions: superficial

Test-Command: getmail_maildir --help
Depends: @, procps
Restrictions: superficial

Test-Command: getmail_mbox --help
Depends: @, procps
Restrictions: superficial

Test-Command: getmail-gmail-xoauth-tokens --help
Depends: @, procps
Restrictions: superficial

## getmail6 6.18.13

=== Makefile ===
--- 
+++ 
@@ -11,18 +11,13 @@
 	links -dump docs/faq.html > docs/faq.txt
 	links -dump docs/troubleshooting.html > docs/troubleshooting.txt
 
-.PHONY: cleantest
-cleantest:
-	rm -rf /tmp/mailserver/python?
-
-.PHONY: test2
-test2:
-	cd test && ./prepare_test.sh 2
-	cd /tmp/mailserver && test/bats/bin/bats test/test_getmail_with_docker_mailserver.bats
+.PHONY: testclean
+testclean:
+	[ -d /tmp/mailserver/ ] && rm -rf /tmp/mailserver/python? || true
 
 .PHONY: test3
 test3:
-	cd test && ./prepare_test.sh 3
+	cd test && ./prepare_test.sh
 	cd /tmp/mailserver && test/bats/bin/bats test/test_getmail_with_docker_mailserver.bats
 
 .PHONY: testpython
@@ -30,7 +25,7 @@
 	pytest test/test.py
 
 .PHONY: test
-test: testpython cleantest test3 test2
+test: testpython testclean test3
 	cd /tmp/mailserver && docker-compose down
 
 .PHONY: check

=== debian/changelog ===
getmail6 (6.18.13-1ubuntu0.1) noble; urgency=medium

  * Fix usage with certfile and keyfile due to incompatibility
    with Python3.12. (LP: #2080570)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 28 Dec 2024 11:51:08 +0000

getmail6 (6.18.13-1) unstable; urgency=medium

  * New upstream version 6.18.13
    - Remove upstream patches.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 23 Feb 2024 20:24:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: getmail6
 Section: mail
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
 Standards-Version: 4.6.2

## getmail6 6.19.02

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,8 @@
 
 .PHONY: testclean
 testclean:
-	[ -d /tmp/mailserver/ ] && rm -rf /tmp/mailserver/python? || true
+	[ -d /tmp/mailserver/ ] && (cd /tmp/mailserver && docker-compose down) || true
+	[ -d /tmp/mailserver/ ] && sudo rm -rf /tmp/mailserver || true
 
 .PHONY: test3
 test3:
@@ -28,8 +29,12 @@
 test: testpython testclean test3
 	cd /tmp/mailserver && docker-compose down
 
+.PHONY: lint
+lint:
+	ruff check .
+
 .PHONY: check
-check:
+check: lint
 	/usr/bin/man -l docs/getmail.1
 	/usr/bin/man -l docs/getmails.1
 	/usr/bin/man -l docs/getmail_fetch.1
@@ -45,9 +50,13 @@
 	echo "use ./pypi.sh to upload to PYPI"
 
 # use ./pypi.sh to upload to PYPI
+.PHONY: up6
+up6: dist
+	twine upload dist/`ls dist -rt | tail -1` -u__token__ -p`pass show pypi.org/getmail6_api_token`
+
 .PHONY: up
 up: dist
-	twine upload dist/`ls dist -rt | tail -1`
+	twine upload dist/`ls dist -rt | tail -1` -u__token__ -p`pass show pypi.org/getmail_api_token`
 
 .PHONY: tag
 tag: dist

=== debian/changelog ===
getmail6 (6.19.02-1) unstable; urgency=medium

  * New upstream version 6.19.02
  * Add upstream patch to fix error with python3.12. (Closes: #1074583)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jul 2024 19:32:10 +0100

getmail6 (6.19.01-1) unstable; urgency=medium

  * New upstream version 6.19.01
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 14 Jun 2024 20:31:55 +0100

## getmail6 6.19.05

=== Makefile ===
--- 
+++ 
@@ -45,18 +45,18 @@
 .PHONY: dist
 dist: doc
 	echo "need sudo to create wheel"
-	sudo python setup.py bdist_wheel
+	sudo python setup.py bdist_wheel sdist
 	echo "note:"
 	echo "use ./pypi.sh to upload to PYPI"
 
 # use ./pypi.sh to upload to PYPI
 .PHONY: up6
 up6: dist
-	twine upload dist/`ls dist -rt | tail -1` -u__token__ -p`pass show pypi.org/getmail6_api_token`
+	twine upload dist/`ls dist -rt *.whl | tail -1` dist/`ls dist -rt *.tar.gz | tail -1` -u__token__ -p`pass show pypi.org/getmail6_api_token`
 
 .PHONY: up
 up: dist
-	twine upload dist/`ls dist -rt | tail -1` -u__token__ -p`pass show pypi.org/getmail_api_token`
+	twine upload dist/`ls dist -rt *.whl | tail -1` dist/`ls dist -rt *.tar.gz | tail -1` -u__token__ -p`pass show pypi.org/getmail_api_token`
 
 .PHONY: tag
 tag: dist
@@ -66,3 +66,8 @@
 	git verify-tag $(TAGMSG)
 	git push origin $(TAGMSG) --follow-tags
 
+.PHONY: cleandocker
+cleandocker:
+	docker network prune
+	docker rm -vf $$(docker ps -aq)
+	docker rmi -f $$(docker images -aq)

=== debian/changelog ===
getmail6 (6.19.05-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Dec 2024 16:49:13 +0000

getmail6 (6.19.05-1) unstable; urgency=medium

  * New upstream version 6.19.05
  * Remove upstream applied patch.
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 21 Oct 2024 21:30:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: getmail6
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://getmail6.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/getmail6
 Vcs-Git: https://salsa.debian.org/python-team/packages/getmail6.git

## getmail6 6.19.07

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,12 @@
 	cd test && ./prepare_test.sh
 	cd /tmp/mailserver && test/bats/bin/bats test/test_getmail_with_docker_mailserver.bats
 
+.PHONY: fortest
+fortest:
+	pip install pytest
+
 .PHONY: testpython
-testpython:
+testpython: fortest
 	pytest test/test.py
 
 .PHONY: test

=== debian/changelog ===
getmail6 (6.19.07-1) unstable; urgency=medium

  * New upstream version 6.19.07
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 21:12:20 +0000

## getmail6 6.19.10

=== Makefile ===
--- 
+++ 
@@ -11,13 +11,13 @@
 	links -dump docs/faq.html > docs/faq.txt
 	links -dump docs/troubleshooting.html > docs/troubleshooting.txt
 
-.PHONY: testclean
-testclean:
+.PHONY: cleanmailserver
+cleanmailserver:
 	[ -d /tmp/mailserver/ ] && (cd /tmp/mailserver && docker-compose down) || true
 	[ -d /tmp/mailserver/ ] && sudo rm -rf /tmp/mailserver || true
 
-.PHONY: test3
-test3:
+.PHONY: dockertest
+dockertest:
 	cd test && ./prepare_test.sh
 	cd /tmp/mailserver && test/bats/bin/bats test/test_getmail_with_docker_mailserver.bats
 
@@ -25,12 +25,12 @@
 fortest:
 	pip install pytest
 
-.PHONY: testpython
-testpython: fortest
-	pytest test/test.py
+.PHONY: unittests
+unittests: fortest
+	pytest test/test.py test/test_mock_servers.py
 
 .PHONY: test
-test: testpython testclean test3
+test: unittests cleanmailserver dockertest
 	cd /tmp/mailserver && docker-compose down
 
 .PHONY: lint
@@ -50,10 +50,10 @@
 dist: doc
 	echo "need sudo to create wheel"
 	sudo python setup.py bdist_wheel sdist
-	echo "note:"
-	echo "use ./pypi.sh to upload to PYPI"
 
-# use ./pypi.sh to upload to PYPI
+# ./pypi.sh to upload to PYPI no more needed due to
+# .github/workflows/publish.yml
+# .github/workflows/publish6.yml
 .PHONY: up6
 up6: dist
 	twine upload dist/`ls dist -rt *.whl | tail -1` dist/`ls dist -rt *.tar.gz | tail -1` -u__token__ -p`pass show pypi.org/getmail6_api_token`
@@ -75,3 +75,8 @@
 	docker network prune
 	docker rm -vf $$(docker ps -aq)
 	docker rmi -f $$(docker images -aq)
+
+.PHONY: log
+log:
+	cd /tmp/mailserver && docker compose logs
+

=== debian/changelog ===
getmail6 (6.19.10-1) unstable; urgency=medium

  * New upstream version 6.19.10
    - Update d/rules for new doc name.
  * Update Standards-Version to 4.7.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 18 Aug 2025 21:31:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://getmail6.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/getmail6
 Vcs-Git: https://salsa.debian.org/python-team/packages/getmail6.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir debian/getmail6
-	mv debian/getmail6/usr/share/doc/getmail-* \
+	mv debian/getmail6/usr/share/doc/getmail \
 		debian/getmail6/usr/share/doc/getmail6
 	rm debian/getmail6/usr/share/doc/getmail6/CHANGELOG
 	rm debian/getmail6/usr/share/doc/getmail6/COPYING

=== debian/tests/control ===
--- 
+++ 
@@ -21,3 +21,11 @@
 Test-Command: getmail-gmail-xoauth-tokens --help
 Depends: @, procps
 Restrictions: superficial
+
+Tests: testmail
+Depends: @, dovecot-imapd, mailutils, python3-passlib, exim4-daemon-light
+Restrictions: needs-root, allow-stderr
+
+Tests: testcertmail
+Depends: @, dovecot-imapd, mailutils, python3-passlib, exim4-daemon-light
+Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%getmail6-$1.tar.gz%" \
   https://github.com/getmail6/getmail6/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
